import { Group, Item, ItemMap, MappedItem, RowMap } from './timeline-data';
export interface RowOptions {
    group: Group;
    index: number;
    intervals: number[];
    itemHeight: number;
    itemMap: ItemMap;
    rowMap: RowMap<any>;
    timebarHeight: number;
    minGroupHeight: number;
    groupTopPadding: number;
    groupBottomPadding: number;
}
export default class Row<T extends Item = Item> {
    group: Group;
    index: number;
    intervals: number[];
    itemHeight: number;
    itemIds: Set<Item['id']>;
    itemMap: ItemMap;
    rowMap: RowMap<any>;
    timebarHeight: number;
    minGroupHeight: number;
    groupTopPadding: number;
    groupBottomPadding: number;
    private offsets;
    private _height;
    constructor({ group, index, intervals, itemHeight, itemMap, rowMap, timebarHeight, minGroupHeight, groupTopPadding, groupBottomPadding, }: RowOptions);
    get height(): number;
    get top(): number;
    get bottom(): number;
    recalculate(): void;
    get items(): MappedItem<Item>[];
    addItem(item: Item): void;
    removeItem(item: T): void;
    getItemTopOffset(item: T, itemHeight: number): number;
    getItemsByIntervalRange(startIndex: number, endIndex: number): MappedItem[];
}
