import Row from './row';
export interface Group {
    id: string;
    name: string;
}
export interface Item {
    id: string;
    groupId: string;
    start: number;
    end: number;
}
export declare type MappedItem<T extends Item = Item> = T & {
    row: Row<T>;
};
export declare type ItemMap<T extends Item = Item> = Map<string, MappedItem<T>>;
export declare type RowMap<T extends Item> = Map<number, Row<T>>;
export interface MapTimelineDateOptions<T extends Item> {
    groups: Group[];
    intervals: number[];
    items: T[];
    itemHeight: number;
    timebarHeight: number;
    snapDuration: number;
    minGroupHeight: number;
    groupTopPadding: number;
    groupBottomPadding: number;
}
export declare function getTimelineData<T extends Item>({ groups, intervals, itemHeight, items, snapDuration, timebarHeight, minGroupHeight, groupTopPadding, groupBottomPadding, }: MapTimelineDateOptions<T>): [ItemMap<T>, RowMap<T>];
export declare function getUnmappedItem<T extends Item>({ row, ...item }: MappedItem<T>): T;
