import { ReactElement } from 'react';
import { VariableSizeGridProps } from 'react-window';
import { GroupRenderer, ItemRenderer, TimebarHeaderRenderer, TimebarIntervalRenderer, RowRenderer, ColumnRenderer, SidebarHeaderRenderer, SidebarRenderer, BodyRenderer } from './context';
import { Group, Item } from './timeline-data';
declare type VariableSizeGridPropsOmitted = 'children' | 'columnCount' | 'columnWidth' | 'innerElementType' | 'onItemsRendered' | 'outerElementType' | 'removeItem' | 'rowCount' | 'rowHeight';
export interface TimelineProps<I extends Item = Item, G extends Group = Group, D = any> extends Omit<VariableSizeGridProps, VariableSizeGridPropsOmitted> {
    endTime: number;
    groups: Group[];
    height: number;
    intervalDuration: number;
    intervalWidth: number;
    itemRenderer: ItemRenderer<I>;
    items: I[];
    startTime: number;
    width: number;
    bodyRenderer?: BodyRenderer;
    children?: ReactElement | null;
    columnRenderer?: ColumnRenderer;
    groupRenderer?: GroupRenderer<G>;
    groupTopPadding?: number;
    groupBottomPadding?: number;
    initialScrollTime?: number;
    itemData?: D;
    itemHeight?: number;
    minItemWidth?: number;
    minGroupHeight?: number;
    onItemUpdate?: (item: I) => void;
    rowRenderer?: RowRenderer<G>;
    sidebarHeaderRenderer?: SidebarHeaderRenderer;
    sidebarRenderer?: SidebarRenderer;
    sidebarWidth?: number;
    snapDuration?: number;
    timebarHeaderHeight?: number;
    timebarHeaderRenderer?: TimebarHeaderRenderer;
    timebarIntervalHeight?: number;
    timebarIntervalRenderer?: TimebarIntervalRenderer;
}
export default function Timeline<TItem extends Item, G extends Group, D = any>(props: TimelineProps<TItem, G, D>): ReactElement;
export {};
